Page MenuHomePhabricator

Show Phabricator tokens on workboard
Closed, DeclinedPublic

Description

I haven't really worked out how tokens are useful but it struck be that the thumbs up and thumbs down tokens would be useful to see on a workboard to help with prioritisation. Is this a supported feature or configurable in any way?

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Phabricator.
Jdlrobson added a subscriber: Jdlrobson.
Qgil set Security to None.
Aklapper triaged this task as Lowest priority.Dec 24 2014, 2:17 PM

Is this a supported feature or configurable in any way?

I don't think so, and I wonder what specific usecases could be.

Qgil added a subscriber: Qgil.Dec 29 2014, 10:08 AM

Also, how the UI would be. Do you mean to show the number of thumbs up/down tokens in a task? What about other tokens? Maybe the raw amount of tokens a task is accumulating might be useful to make it stand up in a crowded workboard, but I wouldn't read too much in the types of token used.

T251 and T899 feel related - there is https://phabricator.wikimedia.org/token/leaders/ but you cannot filter by project.

On a wider (bikesheddier) level, identifying popularity of a task is pretty hard in bug tracking: Number of duplicates (cf. T888)? Number of tokens? Number of subscribers? Number of comments?

The only real use case ive found for them is to draw more attention to certain things. E.g. a card that has sat in code review for too long or a card where a vote of some sort is taking place.

all I'm suggesting is when you rendering the work board these tokens are visible (or at least can be configured to be visible)

Trello has a concept of stickers and these seem similar.

Maybe in the context of the Sprint extension?

If we report this request in Phabricator upstream, they will most probably merge it to https://secure.phabricator.com/T4863

Maybe in the context of the Sprint extension?

I generally think that connecting "tokens" to "popularity" is a false friend (plus we have "flags" for bookmarking tasks) and I propose to decline this request.

Qgil added a comment.Feb 9 2015, 11:20 AM

@Aklapper has a point. Tokens were contested at T899: Unclear what the point of tokens in Phabricator is and we kind of agreed to keep them as long as we don't load much meaning on them. Upstream has been also reluctant to give them much relevance, i.e. by postponing/declining features helping to define queries of tasks based on number of tokens, etc.

As much as I like these tokens bringing some colors and impressions to tasks, I also don't think that we should promote them beyond measure. Declining looks like a good idea, yes.

This is done, and it could be part of the Wednesday upgrade if it you agree. Check it here: https://phab08.wmflabs.org/tag/production_test/board/

The problem with tokens now it is that there are not enough of them, and the default ones are not very meaningful. A token could in theory function like a very simple Trello label (see T88486).

One possibility towards this end would be to create a custom image map of colored icon symbols to replace the default tokens.

Qgil added a comment.Feb 16 2015, 8:33 AM

As said before, I don't think this is a good idea. It has a risk of "tokenizing" discussions. Besides, once a task is committed to a sprint, what is the point of tokens, really? Such tasks are expected to be completed in the short terms, and having these or those or no tokens shouldn't make any difference.

Yes, I know I was the one suggesting to use this feature within the context of the Sprint extension. Sorry, I was mistaken, and I could only see this clearly after Andre's arguments and Christopher's proof of concept.

gerritbot added a subscriber: gerritbot.

Change 190803 had a related patch set uploaded (by Christopher Johnson (WMDE)):
removes Tokens from Sprint Card

https://gerrit.wikimedia.org/r/190803

Patch-For-Review

Change 190803 merged by Christopher Johnson (WMDE):
removes Tokens from Sprint Card

https://gerrit.wikimedia.org/r/190803

Christopher closed this task as Declined.Feb 16 2015, 12:55 PM